In this section
← Recipe
- Retrieve the required recipe
- Boost a recipe
- Unboost a recipe
- Retrieve the recipe's bakings available to the current user
- Recursively retrieve the specified recipe's linked recipes
- Retrieve the user's recipes
- Create a new recipe
- Retrieve the specified recipe by its id
- Update an existing recipe
- Delete a recipe
On this page
Retrieve the recipe's bakings available to the current user
GET /api/v1/recipes/{recipe_id}/bakingsReturns bakings of the specified recipe that are accessible to the authenticated user, as baking_output objects.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
recipe_id |
path | yes | integer |
Request Body
None.
Responses
200
bakings
Schema: array[baking_output]
baking_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
status |
string | yes | |
serving |
integer | yes | |
prepared_at |
string | yes | |
recipe_id |
integer | no | |
serving_type |
string | no | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
created_at |
string | yes | |
published_at |
string | yes | |
account |
account_output |
yes | |
ingredients |
array[ingredient_output] |
yes | |
steps |
array[] | yes | |
media |
array[medium_output] |
yes |
